CRAN Package Check Results for Package bslib

Last updated on 2021-05-14 02:49:04 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.2.4 5.43 80.13 85.56 NOTE
r-devel-linux-x86_64-debian-gcc 0.2.5 4.21 73.23 77.44 OK
r-devel-linux-x86_64-fedora-clang 0.2.5 131.12 NOTE
r-devel-linux-x86_64-fedora-gcc 0.2.5 122.54 NOTE
r-devel-windows-ix86+x86_64 0.2.5 11.00 142.00 153.00 NOTE
r-devel-windows-x86_64-gcc10-UCRT 0.2.4 NOTE
r-patched-linux-x86_64 0.2.5 9.55 93.83 103.38 OK
r-patched-solaris-x86 0.2.5 150.90 ERROR
r-release-linux-x86_64 0.2.4 5.99 82.47 88.46 OK
r-release-macos-x86_64 0.2.4 NOTE
r-release-windows-ix86+x86_64 0.2.4 10.00 106.00 116.00 NOTE
r-oldrel-macos-x86_64 0.2.5 ERROR
r-oldrel-windows-ix86+x86_64 0.2.4 11.00 106.00 117.00 NOTE

Check Details

Version: 0.2.4
Check: LazyData
Result: NOTE
     'LazyData' is specified without a 'data' directory
Flavors: r-devel-linux-x86_64-debian-clang, r-devel-windows-x86_64-gcc10-UCRT

Version: 0.2.5
Check: installed package size
Result: NOTE
     installed size is 7.6Mb
     sub-directories of 1Mb or more:
     fonts 2.4Mb
     lib 3.9Mb
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-windows-ix86+x86_64, r-patched-solaris-x86

Version: 0.2.5
Check: dependencies in R code
Result: NOTE
    Namespace in Imports field not imported from: ‘digest’
     All declared Imports should be used.
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-patched-solaris-x86

Version: 0.2.5
Check: tests
Result: ERROR
     Running ‘testthat.R’ [66s/87s]
    Running the tests in ‘tests/testthat.R’ failed.
    Complete output:
     > library(testthat)
     > library(bslib)
     >
     > test_check("bslib")
     ══ Skipped tests ═══════════════════════════════════════════════════════════════
     • On CRAN (3)
    
     ══ Failed tests ════════════════════════════════════════════════════════════════
     ── Failure (test-rmd-skeletons.R:13:3): Rmd skeletons can be render cleanly ────
     `render_skeleton("bs3")` threw an unexpected error.
     Message: pandoc version 1.12.3 or higher is required and was not found (see the help page ?rmarkdown::pandoc_available).
     Class: simpleError/error/condition
     Backtrace:
     █
     1. ├─testthat::expect_error(render_skeleton("bs3"), NA) test-rmd-skeletons.R:13:2
     2. │ └─testthat:::expect_condition_matching(...)
     3. │ └─testthat:::quasi_capture(...)
     4. │ ├─testthat:::.capture(...)
     5. │ │ └─base::withCallingHandlers(...)
     6. │ └─rlang::eval_bare(quo_get_expr(.quo), quo_get_env(.quo))
     7. └─bslib:::render_skeleton("bs3")
     8. └─rmarkdown::render(file.path(tmp, "tmp.Rmd"), quiet = TRUE) test-rmd-skeletons.R:9:2
     9. └─rmarkdown::pandoc_available(required_pandoc, error = TRUE)
     ── Failure (test-rmd-skeletons.R:14:3): Rmd skeletons can be render cleanly ────
     `render_skeleton("bs4")` threw an unexpected error.
     Message: pandoc version 1.12.3 or higher is required and was not found (see the help page ?rmarkdown::pandoc_available).
     Class: simpleError/error/condition
     Backtrace:
     █
     1. ├─testthat::expect_error(render_skeleton("bs4"), NA) test-rmd-skeletons.R:14:2
     2. │ └─testthat:::expect_condition_matching(...)
     3. │ └─testthat:::quasi_capture(...)
     4. │ ├─testthat:::.capture(...)
     5. │ │ └─base::withCallingHandlers(...)
     6. │ └─rlang::eval_bare(quo_get_expr(.quo), quo_get_env(.quo))
     7. └─bslib:::render_skeleton("bs4")
     8. └─rmarkdown::render(file.path(tmp, "tmp.Rmd"), quiet = TRUE) test-rmd-skeletons.R:9:2
     9. └─rmarkdown::pandoc_available(required_pandoc, error = TRUE)
     ── Failure (test-rmd-skeletons.R:15:3): Rmd skeletons can be render cleanly ────
     `render_skeleton("real-time")` threw an unexpected error.
     Message: pandoc version 1.12.3 or higher is required and was not found (see the help page ?rmarkdown::pandoc_available).
     Class: simpleError/error/condition
     Backtrace:
     █
     1. ├─withr::with_namespace(...) test-rmd-skeletons.R:15:2
     2. │ └─base::force(code)
     3. ├─testthat::expect_error(render_skeleton("real-time"), NA)
     4. │ └─testthat:::expect_condition_matching(...)
     5. │ └─testthat:::quasi_capture(...)
     6. │ ├─testthat:::.capture(...)
     7. │ │ └─base::withCallingHandlers(...)
     8. │ └─rlang::eval_bare(quo_get_expr(.quo), quo_get_env(.quo))
     9. └─bslib:::render_skeleton("real-time")
     10. └─rmarkdown::render(file.path(tmp, "tmp.Rmd"), quiet = TRUE) test-rmd-skeletons.R:9:2
     11. └─rmarkdown::pandoc_available(required_pandoc, error = TRUE)
    
     [ FAIL 3 | WARN 0 | SKIP 3 | PASS 185 ]
     Deleting unused snapshots:
     * _snaps/zzzz-bs-sass/bootstrap.scss
     Error: Test failures
     Execution halted
Flavor: r-patched-solaris-x86

Version: 0.2.4
Check: installed package size
Result: NOTE
     installed size is 7.1Mb
     sub-directories of 1Mb or more:
     fonts 2.4Mb
     lib 3.6Mb
Flavors: r-release-macos-x86_64, r-release-windows-ix86+x86_64, r-oldrel-windows-ix86+x86_64

Version: 0.2.5
Check: package dependencies
Result: ERROR
    Package required and available but unsuitable version: ‘sass’
    
    See section ‘The DESCRIPTION file’ in the ‘Writing R Extensions’
    manual.
Flavor: r-oldrel-macos-x86_64